TimeShiftEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.dvr
Class TimeShiftEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.selection.ServiceContextEvent
              org.ocap.dvr.TimeShiftEvent

All Implemented Interfaces:
  Serializable

    public class TimeShiftEvent

extends ServiceContextEvent

The parent class for TimeShiftBuffer events.

See Also:
  Serialized Form

Field Summary
`static int` | `NO_TIME_SHIFT_BUFFER` A time-shift buffer or recording was not found for attachment to the `ServiceContext`
`static int` | `TIME_SHIFT_BUFFER_FOUND` A time-shift buffer or recording was found for attachment to the `ServiceContext`.
`static int` | `TIME_SHIFT_PROPERTIES_CHANGED` The implementation was forced to change time-shift properties due to signaling.

Constructor Summary
`TimeShiftEvent(ServiceContext source, int reason)` Constructor for this event.

Method Summary
`int` | `getReason()` Gets the reason for this event.
`ServiceContext` | `getServiceContext()` Reports the `ServiceContext` that generated the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TIME_SHIFT_BUFFER_FOUND

    public static final int TIME_SHIFT_BUFFER_FOUND

  A time-shift buffer or recording was found for attachment to the `ServiceContext`.

  See Also:
    Constant Field Values

### NO_TIME_SHIFT_BUFFER

    public static final int NO_TIME_SHIFT_BUFFER

  A time-shift buffer or recording was not found for attachment to the `ServiceContext`

  See Also:
    Constant Field Values

### TIME_SHIFT_PROPERTIES_CHANGED

    public static final int TIME_SHIFT_PROPERTIES_CHANGED

  The implementation was forced to change time-shift properties due to signaling.

  See Also:
    Constant Field Values

Constructor Detail

### TimeShiftEvent

    public TimeShiftEvent(ServiceContext source,
                          int reason)

  Constructor for this event.

  Parameters:
    `source` - The object associated with this event.
    `reason` - The reason code for this event. See constants in this class for possible values.
  Throws:
    `IllegalArgumentException` - if the reason code is not a value matching one of the possible constants.

Method Detail

### getReason

    public int getReason()

  Gets the reason for this event.

  Returns:
    The reason code for this event. See constants in this class for possible return values; see constants in this class.

### getServiceContext

    public ServiceContext getServiceContext()

  Reports the `ServiceContext` that generated the event.

  Overrides:
    `getServiceContext` in class `ServiceContextEvent`
  Returns:
    The `ServiceContext` that generated the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD